//
// PLUtilities.java
// Project MixedSite
//
// Created by paul on Tue Dec 11 2001
//

import com.webobjects.foundation.*;
import com.webobjects.appserver.*;
import com.webobjects.eocontrol.*;
import java.net.*;
import java.io.*;

public class PLUtilities extends Object {

    public static String getURLString(String urlString) {
        String response = "";
        try {
            URL url = new URL(urlString);
            BufferedReader in = new BufferedReader(
                                    new InputStreamReader(
                                    url.openStream()));
            String inputLine;
            while (null != (inputLine = in.readLine())) {
                response += inputLine;
            }
            in.close();
        } catch (Throwable e) {
            return "";
        }
        return response;
    }
    
    static public String stringFromFile(File f) throws IOException {
        if (f==null)
            throw new IOException("null file");
        int size=(int) f.length();
        FileInputStream fis=new FileInputStream(f);
        byte [] data = new byte[size];
        int bytesRead=0;
        while (bytesRead<size)
            bytesRead+=fis.read(data,bytesRead,size-bytesRead);
        fis.close();
        return new String(data);
    }

    public static String getFileString(String pathString) {
        String result = "";
        try {
            result = stringFromFile(new File(pathString));
        } catch (IOException e) {
            NSLog.out.appendln(e.getMessage());
            return "";
        }
        return result;
    }
    

}
